<a *ngIf="linkMode" [routerLink]="[news.id]">
  <ng-template [ngTemplateOutlet]="newsCard"></ng-template>
</a>

<div *ngIf="!linkMode">
  <ng-template [ngTemplateOutlet]="newsCard"></ng-template>
</div>

<ng-template #newsCard>
  <mat-card class="news-card mb-4">
    <mat-card-header class="mat-headline-5">
      {{ news.title }}
    </mat-card-header>
    <mat-card-content>
      <img
        *ngIf="news.file?.url"
        [ngSrc]="news.file?.url"
        [alt]="news.file?.storagePath"
        [priority]="true"
        width="500"
        height="500"
        class="news-image"
        #image />

      <div
        [ngStyle]="{
          maxHeight: linkMode ? maxTextContainerHeight + 'px' : 'auto'
        }"
        class="news-text mt-3">
        <div [innerHTML]="news.html" #htmlDivElement></div>
        <div *ngIf="needCoverText" class="text-blanket"></div>
      </div>
    </mat-card-content>
  </mat-card>
</ng-template>
